Bug 1396963 (CVE-2016-9389) - CVE-2016-9389 jasper: reachable assertions caused by insufficient component domains checks in ICT/RCT in JPC codec
Summary: CVE-2016-9389 jasper: reachable assertions caused by insufficient component d...
Status: CLOSED ERRATA
Alias: CVE-2016-9389
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20161024,reported=2...
Keywords: Reopened, Security
Depends On: 1396986 1396987 1396988 1396989 1439171 1439172 1439173 1439174
Blocks: 1314477
TreeView+ depends on / blocked
 
Reported: 2016-11-21 09:54 UTC by Adam Mariš
Modified: 2019-06-08 21:35 UTC (History)
27 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-05-09 21:42:14 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1208 normal SHIPPED_LIVE Important: jasper security update 2017-05-09 21:13:57 UTC

Description Adam Mariš 2016-11-21 09:54:36 UTC
An assertion test was used when ensuring the component domains are the same for the ICT/RCT in the JPC codec.

Upstream patch:

https://github.com/mdadams/jasper/commit/dee11ec440d7908d1daf69f40a3324b27cf213ba

CVE assignment:

http://seclists.org/oss-sec/2016/q4/441

Comment 1 Adam Mariš 2016-11-21 10:32:18 UTC
Created mingw-jasper tracking bugs for this issue:

Affects: fedora-all [bug 1396987]
Affects: epel-7 [bug 1396989]

Comment 2 Adam Mariš 2016-11-21 10:32:38 UTC
Created jasper tracking bugs for this issue:

Affects: fedora-all [bug 1396986]
Affects: epel-5 [bug 1396988]

Comment 3 Tomas Hoger 2017-03-29 20:10:13 UTC
Original reporter's advisory:

https://blogs.gentoo.org/ago/2016/11/16/jasper-multiple-assertion-failure/

Relevant information from the advisory:

Affected version: 1.900.13

Output/failure:
imginfo: /tmp/portage/media-libs/jasper-1.900.13/work/jasper-1.900.13/src/libjasper/jpc/jpc_mct.c:146: void jpc_irct(jas_matrix_t *, jas_matrix_t *, jas_matrix_t *): Assertion `((c1)->numrows_) == numrows && ((c1)->numcols_) == numcols && ((c2)->numrows_) == numrows && ((c2)->numcols_) == numcols’ failed.

Commit fix:
https://github.com/mdadams/jasper/commit/dee11ec440d7908d1daf69f40a3324b27cf213ba

Fixed version: 1.900.14

Testcase:
https://github.com/asarubbo/poc/blob/master/00006-jasper-assert-jpc_irct

CVE: CVE-2016-9389


Upstream bug report:

https://github.com/mdadams/jasper/issues/52

Comment 4 Tomas Hoger 2017-03-29 20:13:24 UTC
Another upstream report for different symptoms of the same problem:

https://github.com/mdadams/jasper/issues/55

Reproducer:

https://github.com/asarubbo/poc/blob/master/00009-jasper-assert-jpc_iict

Comment 5 Tomas Hoger 2017-03-29 20:16:07 UTC
Impact of this problem is limited to unexpected application termination.  There is currently no plan to backport the fix to already released Red Hat Enterprise Linux versions.

Comment 8 Tomas Hoger 2017-03-31 20:52:18 UTC
Re-considering inclusion for easier future testing.

Comment 9 errata-xmlrpc 2017-05-09 17:19:12 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1208 https://access.redhat.com/errata/RHSA-2017:1208


Note You need to log in before you can comment on or make changes to this bug.